# Class VCFSimpleHeaderLine

java.lang.Object
htsjdk.variant.vcf.VCFHeaderLine
htsjdk.variant.vcf.VCFSimpleHeaderLine

All Implemented Interfaces:
  `VCFIDHeaderLine, Serializable, Comparable`

Direct Known Subclasses:
  `VCFAltHeaderLine, VCFContigHeaderLine, VCFFilterHeaderLine, VCFMetaHeaderLine, VCFPedigreeHeaderLine, VCFSampleHeaderLine`

public class VCFSimpleHeaderLine extends VCFHeaderLine implements VCFIDHeaderLine

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DESCRIPTION_ATTRIBUTE`
`static final String`
`ID_ATTRIBUTE`

### Fields inherited from class VCFHeaderLine

`ALLOW_UNBOUND_DESCRIPTIONS, serialVersionUID, UNBOUND_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`VCFSimpleHeaderLine(String line, VCFHeaderVersion version, String key, List<String> expectedTagOrdering)`
create a VCF info header line
`VCFSimpleHeaderLine(String line, VCFHeaderVersion version, String key, List<String> expectedTagOrdering, List<String> recommendedTags)`
create a VCF info header line
`VCFSimpleHeaderLine(String key, String name, String description)`
create a VCF filter header line
`VCFSimpleHeaderLine(String key, Map<String,String> mapping)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Map<String,String>`
`getGenericFields()`
`String`
`getID()`
`int`
`hashCode()`
`protected void`
`initialize(String name, Map<String,String> genericFields)`
`protected String`
`toStringEncoding()`
Should be overloaded in sub classes to do subclass specific

### Methods inherited from class VCFHeaderLine

`compareTo, getKey, getValue, isHeaderLine, shouldBeAddedToDictionary, toString, toStringEncoding`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### ID_ATTRIBUTE

public static final String ID_ATTRIBUTE

See Also:
  - Constant Field Values

### DESCRIPTION_ATTRIBUTE

public static final String DESCRIPTION_ATTRIBUTE

See Also:
  - Constant Field Values

## Constructor Details

### VCFSimpleHeaderLine

public VCFSimpleHeaderLine(String key, String name, String description)
create a VCF filter header line

Parameters:
  `key` - the key for this header line
  `name` - the name for this header line
  `description` - description for this header line

### VCFSimpleHeaderLine

public VCFSimpleHeaderLine(String line, VCFHeaderVersion version, String key, List<String> expectedTagOrdering)
create a VCF info header line

Parameters:
  `line` - the header line
  `version` - the vcf header version
  `key` - the key for this header line
  `expectedTagOrdering` - the tag ordering expected for this header line
See Also:
  - VCFv4.2+ recommended tags support

### VCFSimpleHeaderLine

public VCFSimpleHeaderLine(String line, VCFHeaderVersion version, String key, List<String> expectedTagOrdering, List<String> recommendedTags)
create a VCF info header line

Parameters:
  `line` - the header line
  `version` - the vcf header version
  `key` - the key for this header line
  `expectedTagOrdering` - the tag ordering expected for this header line
  `recommendedTags` - tags that are optional for this header line

### VCFSimpleHeaderLine

public VCFSimpleHeaderLine(String key, Map<String,String> mapping)

## Method Details

### initialize

protected void initialize(String name, Map<String,String> genericFields)

### toStringEncoding

protected String toStringEncoding()
Description copied from class: `VCFHeaderLine`
Should be overloaded in sub classes to do subclass specific

Overrides:
  `toStringEncoding` in class `VCFHeaderLine`
Returns:
  the string encoding

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `VCFHeaderLine`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `VCFHeaderLine`

### getID

public String getID()

Specified by:
  `getID` in interface `VCFIDHeaderLine`

### getGenericFields

public Map<String,String> getGenericFields()

Returns:
  a map of all pairs of fields and values in this header line